## org.apache.xerces.impl.xs.psvi
Interface XSModelGroup

All Superinterfaces:
  XSObject, XSTerm

All Known Implementing Classes:
  XSModelGroupImpl

public interface XSModelGroup
extends XSTerm

This interface represents the Model Group schema component. The interface may be updated or replaced.

Field Summary
`static short` `COMPOSITOR_ALL` This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model.
`static short` `COMPOSITOR_CHOICE` This constant value signifies a choice operator.
`static short` `COMPOSITOR_SEQUENCE` This constant value signifies a sequence operator.

Method Summary
`XSAnnotation` `getAnnotation()` Optional.
`short` `getCompositor()` [compositor]: one of all, choice or sequence.
`XSObjectList` `getParticles()` A list of [particles].

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### COMPOSITOR_SEQUENCE

    public static final short COMPOSITOR_SEQUENCE

  This constant value signifies a sequence operator.

### COMPOSITOR_CHOICE

    public static final short COMPOSITOR_CHOICE

  This constant value signifies a choice operator.

### COMPOSITOR_ALL

    public static final short COMPOSITOR_ALL

  This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

Method Detail

### getCompositor

    public short getCompositor()

  [compositor]: one of all, choice or sequence. The valid constants values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

### getParticles

    public XSObjectList getParticles()

  A list of [particles].

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. An [annotation].

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.